gr::gfdm::preamble_channel_estimator_cc Class Reference

<+description+> More...

`#include <preamble_channel_estimator_cc.h>`

Inheritance diagram for gr::gfdm::preamble_channel_estimator_cc:
[legend]

## Public Types

typedef boost::shared_ptr< preamble_channel_estimator_cc > | sptr
Public Types inherited from gr::gfdm::gfdm_kernel_utils
typedef std::complex< float > | gfdm_complex

## Public Member Functions

| preamble_channel_estimator_cc (int timeslots, int fft_len, int active_subcarriers, bool is_dc_free, int which_estimator, std::vector< gfdm_complex > preamble)
| ~preamble_channel_estimator_cc ()
void | estimate_preamble_channel (gfdm_complex *fd_preamble_channel, const gfdm_complex *rx_preamble)
int | fft_len ()
int | timeslots ()
int | frame_len ()
int | active_subcarriers ()
bool | is_dc_free ()
std::vector< float > | preamble_filter_taps ()
void | filter_preamble_estimate (gfdm_complex *filtered, const gfdm_complex *estimate)
void | interpolate_frame (gfdm_complex *frame_estimate, const gfdm_complex *estimate)
void | estimate_frame (gfdm_complex *frame_estimate, const gfdm_complex *rx_preamble)
void | prepare_for_zf (gfdm_complex *transformed_frame, const gfdm_complex *frame_estimate)
Public Member Functions inherited from gr::gfdm::gfdm_kernel_utils
| gfdm_kernel_utils ()
| ~gfdm_kernel_utils ()
fftwf_plan | initialize_fft (gfdm_complex *out_buf, gfdm_complex *in_buf, const int fft_size, bool forward)
float | calculate_signal_energy (const gfdm_complex *p_in, const int ninput_size)

## Detailed Description

<+description+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<preamble_channel_estimator_cc> gr::gfdm::preamble_channel_estimator_cc::sptr

## Constructor & Destructor Documentation

## preamble_channel_estimator_cc()

gr::gfdm::preamble_channel_estimator_cc::preamble_channel_estimator_cc | ( | int | timeslots,
|  | int | fft_len,
|  | int | active_subcarriers,
|  | bool | is_dc_free,
|  | int | which_estimator,
|  | std::vector< gfdm_complex > | preamble
| ) |  |

## ~preamble_channel_estimator_cc()

gr::gfdm::preamble_channel_estimator_cc::~preamble_channel_estimator_cc | ( |  | ) |

## Member Function Documentation

## active_subcarriers()

int gr::gfdm::preamble_channel_estimator_cc::active_subcarriers | ( |  | ) |

inline

## estimate_frame()

void gr::gfdm::preamble_channel_estimator_cc::estimate_frame | ( | gfdm_complex * | frame_estimate,
|  | const gfdm_complex * | rx_preamble
| ) |  |

## estimate_preamble_channel()

void gr::gfdm::preamble_channel_estimator_cc::estimate_preamble_channel | ( | gfdm_complex * | fd_preamble_channel,
|  | const gfdm_complex * | rx_preamble
| ) |  |

## fft_len()

int gr::gfdm::preamble_channel_estimator_cc::fft_len | ( |  | ) |

inline

## filter_preamble_estimate()

void gr::gfdm::preamble_channel_estimator_cc::filter_preamble_estimate | ( | gfdm_complex * | filtered,
|  | const gfdm_complex * | estimate
| ) |  |

## frame_len()

int gr::gfdm::preamble_channel_estimator_cc::frame_len | ( |  | ) |

inline

## interpolate_frame()

void gr::gfdm::preamble_channel_estimator_cc::interpolate_frame | ( | gfdm_complex * | frame_estimate,
|  | const gfdm_complex * | estimate
| ) |  |

## is_dc_free()

bool gr::gfdm::preamble_channel_estimator_cc::is_dc_free | ( |  | ) |

inline

## preamble_filter_taps()

std::vector< float > gr::gfdm::preamble_channel_estimator_cc::preamble_filter_taps | ( |  | ) |

## prepare_for_zf()

void gr::gfdm::preamble_channel_estimator_cc::prepare_for_zf | ( | gfdm_complex * | transformed_frame,
|  | const gfdm_complex * | frame_estimate
| ) |  |

## timeslots()

int gr::gfdm::preamble_channel_estimator_cc::timeslots | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- preamble_channel_estimator_cc.h